+ Start a Discussion
EJWEJW 

Summer '14 pre-release package install failing.

I have a package that installs and works fine in Spring '14 orgs, which is now failing with a generic error message in a Summer '14 pre-release org.  I've opened a case on this but thought I'd post it here too in case I get a faster response via the boards.  The case is 10613808 and the error I'm getting is:

Your requested install failed. Please try this again.

None of the data or setup information in your salesforce.com organization should have been affected by this error.

If this error persists, contact salesforce.com Support through your normal channels and reference number: 617773703-13439 (-48371664)

I've attempted the install multiple times, with the same result.  There is no exception e-mail sent to the package's notification user either.
ShashForceShashForce
Hi,

Package installations can only be done on same version of the org as the version on which the developer org holding the package is on.

For example, if the developer org on which the managed package is created is on Spring '14, and you are trying to install the package on an org which is on Summer '14 (like your pre-release org), the installation will fail. You can only install this package on orgs which are on Spring '14. This is expected behavior. Once your developer org gets upgraded to Summer '14, it should not be a problem anymore.

If this answers your question, please mark this as the Best Answer for this post, so that others can benefit from this post.

Thanks,
Shashank
EJWEJW
That's incorrect Shashank_SFDC, this is how testing of managed packages has been done for years now, though recently the process has changed and they now want you to use a pre-release org for managed package testing in new SFDC releases instead of a sandbox upgraded to the new release, see here: https://partners.salesforce.com/s/education/Releases_for_Partners - Note the line: "Best Practice - Use a pre-release environment for regression testing of your commercial app (we no longer recommend Sandbox orgs for this)"

Also, I have two major releases I'm testing, a 2.x release and a 3.x release (with a ton of changes from 2.x).  The 2.x package installs in the Summer '14 pre-release org fine, but the 3.x package does not.  I can't do a clean install of 3.x, nor can I upgrade from 2.x to 3.x as I get a similar error.
ShashForceShashForce
In that case, Salesforce Support should be able to provide more specific errors which failed the installation, based on the error number.
EJWEJW
Yes, I'm aware of that, which is why I stated I had a case open, but sometimes posting in the forum as well can get a faster response.  Also, I'm not sure if they'll attempt to label it a developer support case and close it rather than answer as developer support is now primarily handled via the forums.
ShashForceShashForce
Even if it ends up as developer support, you can get the specific error messages from them which will help in troubleshooting.